Holger's Java API

## com.antelmann.util
Class SimpleEntry<K,V>

    java.lang.Object
      com.antelmann.util.SimpleEntry<K,V>

All Implemented Interfaces:
  Serializable, Map.Entry<K,V>

Direct Known Subclasses:
  SimpleEntry.Editable, SimpleEntry.Immutable

    public class SimpleEntry<K,V>

extends Object
implements Map.Entry<K,V>, Serializable

a simple convenient Map.Entry implementation

Since:
  26.02.2010, 14:10:28
Author:
  Holger Antelmann
See Also:
  `AbstractMap.SimpleEntry`, Serialized Form

Nested Class Summary
`static class` `SimpleEntry.Editable<K,V>` makes `SimpleEntry.Editable.setKey(Object)` public
`static class` `SimpleEntry.Immutable<K,V>`

Constructor Summary
`SimpleEntry(K key, V value)`

Method Summary
`boolean` `equals(Object obj)`
`K` `getKey()`
`static Comparator<Map.Entry<?,?>>` `getKeySorter()`
`V` `getValue()`
`static Comparator<Map.Entry<?,?>>` `getValueSorter()`
`int` `hashCode()`
`protected void` `setKey(K key)`
`V` `setValue(V value)`
`Object[]` `toArray()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleEntry

    public SimpleEntry(K key,
                       V value)

Method Detail

### getKeySorter

    public static Comparator<Map.Entry<?,?>> getKeySorter()

### getValueSorter

    public static Comparator<Map.Entry<?,?>> getValueSorter()

### setKey

    protected void setKey(K key)

### getKey

    public final K getKey()

  Specified by:
    `getKey` in interface `Map.Entry<K,V>`

### getValue

    public final V getValue()

  Specified by:
    `getValue` in interface `Map.Entry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`

### toArray

    public Object[] toArray()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map.Entry<K,V>`
  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads